from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XConnectionListener(XEventListener, Protocol):
    def connected(self, aEvent: EventObject) -> None: ...
    def disconnected(self, aEvent: EventObject) -> None: ...
